const
	maxn = 1000;
var
	x, y, d: array [1..maxn] of longint;
	i, j, n, minc, maxc: longint;
begin
	randseed := 923470210;
	n := 15;
	maxc := 10000;
	minc := -10000;

	for i := 1 to n do begin
		x[i] := random(maxc - minc + 1) + minc;
		y[i] := random(maxc - minc + 1) + minc;
		d[i] := 1;
	end;

	for i := 1 to n - 2 do begin
		j := random(n) + 1;
		inc(d[j]);
	end;

	writeln(n);
	for i := 1 to n do begin
		writeln(x[i], ' ', y[i], ' ', d[i]);
	end;
end.